button.button.calculate {
  background: #b1181b;
  border: 1px solid #b1181b;
  box-sizing: border-box;
  border-radius: 2px;
}

.calc h2 {
  font-weight: 600;
  font-size: 20px;
  line-height: 28px;
  color: #014341;
  margin-bottom: 40px !important;
}

button.plus {
  background: url(https://cdn.files.smcloud.net/t/ico-08.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 30px;
  height: 30px;
}

button.minus {
  background: url(https://cdn.files.smcloud.net/t/ico-09.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 30px;
  height: 30px;
}

button.minus,
button.plus {
  color: rgba(255, 255, 255, 0);
  border: 0;
}

.calc.ovulation {
  text-align: center;
}

p.datepicker-title {
  font-size: 12px;
  line-height: 16px;
  color: #014341;
  margin-bottom: 16px;
}

.vc-container.vc-blue {
  width: 100%;
}

.vc-container.vc-blue {
  width: 100%;
  background: var(--color-calculator-primary, #1677ff);
  color: white;
}

.vc-weekday {
  color: white !important;
  font-weight: 600 !important;
}

.vc-title {
  color: white !important;
}

span.cycle-length-info,
span.chosen-week-value-info {
  font-size: 12px;
  line-height: 16px;
  color: white;
  font-weight: 700;
  position: relative;
  top: 12px;
}

p.main-cycle-title,
p.main-chosen-week-title {
  font-size: 12px;
  line-height: 16px;
  color: #014341;
  margin: 8px 0;
  margin-bottom: 24px !important;
}

span.vc-day-content.vc-focusable.selected-content {
  color: #014341;
  background: white;
}

.cycle-length-wrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  justify-content: space-around;
  align-items: center;
}

.main-cycle-wrapper__items,
.main-chosen-week-wrapper__items {
  display: flex;
  justify-content: center;
  position: relative;
  height: 104px;
  background: var(--color-calculator-primary, #1677ff);
  border-radius: 20px;
  flex-direction: column;
  margin-bottom: 40px;
}

span.cycle-length,
span.chosen-week-value {
  font-size: 59px;
  color: white;
  font-weight: 700;
  height: 27px;
}

.main-cycle-buttons-wrapper,
.main-chosen-week-buttons-wrapper {
  position: absolute;
  right: -10px;
  width: 50px;
  height: 103px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  top: 0;
}

.main-cycle-buttons-wrapper {
  right: 0;
}

.change-value-button-wrapper.plus {
  position: relative;
}

.change-value-button-wrapper.plus:after {
  content: "";
  width: 43px;
  height: 1px;
  background: #ffffffb8;
  position: absolute;
  left: -7px;
  bottom: -13px;
}

@media (max-width: 799px) {
  .change-value-button-wrapper.plus:after {
    left: 2px;
  }
}

.button-wrapper.calculate .calculate {
  border: none;
  width: fit-content;
  height: 40px;
  font-weight: 600 !important;
  border-radius: var(--radius-calculator-button, 20px) !important;
  background-color: var(--color-calculator-primary, #1677ff) !important;
  color: #ffffff !important;
  padding: 12px;
  text-align: center;
  font-size: 12px;
  line-height: 120%;
  box-shadow: 2px 2px 16px rgba(0, 0, 0, 0.1);
  transition: 0.6s;
  letter-spacing: -0.02em;
  text-transform: uppercase;
}

svg.vc-svg-icon {
  color: white !important;
}

span.vc-day-content.vc-focusable {
  opacity: 0.9;
}

.vc-day.is-not-in-month {
  opacity: 0.9 !important;
  pointer-events: all !important;
}

.calc.chosenweekofpregnancysummaryview
  .calendar-wrapper
  .vc-day.is-not-in-month
  span,
.calc.dayofconceptionsummaryview .calendar-wrapper .vc-day.is-not-in-month span,
.calc.chosenweekofpregnancysummaryview
  .calendar-wrapper
  .vc-day.is-not-in-month
  span {
  pointer-events: none !important;
}

.calc.period,
.calc.periodsummary,
.calc.periodsecondpage,
.calc.calcchoiceview,
.calc.weekofpregnancyview,
.calc.dayofconceptionview,
.calc.chosendayofpregnancyview,
.calc.chosenweekofpregnancyview,
.calc.chosenweekofpregnancysummaryview,
.calc.weekofpregnancynotpregnantview,
.calc.weekofpregnancysummaryview,
.calc.dayofconceptionsummaryview,
.calc.chosendayofpregnancysummaryview,
.calc.chosendayofpregnancynotpregnantview,
.calc.periodconsultadoctorview,
.calc.ovulationsecondpage,
.calc.pregnancycalculatorview,
.calc.pregnancyconsultadoctorview,
.calc.ovulation {
  background: #f6f6f6;
  border-radius: var(--radius-calculator-wrapper, 20px);
  padding: 24px 16px;
  min-height: 520px;
  max-width: 664px;
  margin: 0 auto 24px;
}

.not-pregnant span {
  display: none;
}

.not-pregnant p {
  padding: 0 16px;
}

button.button.calculate-again {
  border-radius: var(--radius-calculator-button, 20px);
  text-transform: uppercase;
  font-size: 12px;
  margin-top: 24px;
  font-weight: 400;
  background: white !important;
  color: black !important;
  min-height: 40px;
  border: 0;
}

.vc-highlight.fertile-background {
  background: #e1e1e1;
  border-radius: 0 !important;
}

.vc-highlight.ovulation-background {
  background: white;
  border-radius: 0 !important;
}

span.vc-day-content.vc-focusable.ovulation-content,
span.vc-day-content.vc-focusable.fertile-content {
  color: #e1e1e1;
}

.vc-highlight.period-background {
  background: var(--color-calculator-secondary, #114794);
}

.vc-day.is-not-in-month {
  opacity: 0.9 !important;
  color: white;
}

.mapkey-component-wrapper {
  display: flex;
  flex-direction: column;
}

.mapkey-component-wrapper p {
  font-size: 14px;
  margin: 0;
}

.mapkey-wrapper {
  display: flex;
  align-items: center;
}

.mapkey-color.fertile {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  background: #e1e1e1;
}

.mapkey-color.ovulation {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  background: white;
}

.mapkey-color.period {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  background: var(--color-calculator-secondary, #114794);
}

.vc-highlight.period-background {
  background: var(--color-calculator-secondary, #114794);
  border-radius: 0px !important;
}

.vc-day.is-not-in-month span {
  opacity: 0.9 !important;
  pointer-events: all !important;
}

.mapkey-color {
  margin-right: 8px;
}

.vc-day.is-not-in-month * {
  opacity: 1 !important;
}

/* Hide arrows from input number */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

.cycle-length-wrapper input,
.chosen-week-value-wrapper input {
  background: rgba(255, 255, 255, 0);
  border: none;
  font-size: 59px;
  color: #fff;
  font-weight: 700;
  height: 100%;
  width: 85px;
  outline: none;
}

p.main-cycle-step {
  margin-bottom: 24px;
}

p.main-cycle-title {
  margin-bottom: 24px;
}

.calc.period .button-wrapper button,
.calc.periodsecondpage .button-wrapper button,
.calc.periodsummary .button-wrapper button,
.calc.ovulation .button-wrapper button,
.calc.ovulationsecondpage .button-wrapper button,
.calc.ovulationsummary .button-wrapper button {
  min-width: 200px;
}

.calc.periodsummary .calendar-wrapper,
.calc.ovulationsummary .calendar-wrapper {
  pointer-events: none !important;
}

.period-calculator.calc.period,
.calc.ovulation {
  text-align: center;
}

p.main-cycle-desc {
  font-size: 16px;
  line-height: 32px;
  color: #000;
  margin-bottom: 24px;
}

.button-next-wrapper button {
  border: none;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  height: 40px;
  font-weight: 600 !important;
  border-radius: 24px;
  background-color: var(--color-calculator-primary, #1677ff);
  color: #fff !important;
  padding: 12px;
  text-align: center;
  font-size: 12px;
  line-height: 120%;
  box-shadow: 2px 2px 16px rgba(0, 0, 0, 0.1);
  transition: 0.6s;
  letter-spacing: -0.02em;
  text-transform: uppercase;
  min-width: 200px;
}

.calc.ovulationconsultadoctorview h2,
.calc.periodconsultadoctorview h2 {
  position: relative;
  top: 50px;
}

.calc.ovulationconsultadoctorview p,
.calc.periodconsultadoctorview p {
  padding: 43px;
}

@media (min-width: 1000px) {
  .calc.period .calc-container,
  .calc.periodsecondpage .calc-container,
  .calc.ovulation .calc-container,
  .calc.ovulationsecondpage .calc-container {
    flex-direction: column;
    align-items: center;
  }

  .calc-container {
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
  }

  .calc.periodsummary .calc-container,
  .calc.ovulationsummary .calc-container {
    max-width: 333px;
    margin: 0 auto;
    flex-direction: column;
  }

  .calc-content {
    width: 50%;
  }

  .calc-info {
    width: 50%;
    justify-content: center;
    display: flex;
    position: relative;
    top: 37px;
  }

  .main-cycle-wrapper {
    width: 200px;
  }

  .cycle-length-wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    justify-content: space-around;
    align-items: flex-start;
    padding-left: 40px;
  }

  span.cycle-length-info {
    padding-left: 28px;
  }

  .main-cycle-buttons-wrapper button {
    margin-top: 5px;
  }

  p.main-cycle-desc {
    font-size: 19px;
    line-height: 32px;
    color: #000;
    margin-bottom: 24px;
  }

  p.main-cycle-step {
    margin-bottom: 24px;
  }

  .calc h2 {
    font-weight: 600;
    font-size: 32px !important;
    line-height: 28px;
    color: #000;
    margin-bottom: 40px !important;
    margin-left: 0;
  }

  .calc-content {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
  }

  p.main-cycle-step {
    font-size: 23px;
    font-weight: 700;
  }

  .calc.periodsecondpage .calc-content,
  .calc.ovulationsecondpage .calc-content {
    flex-direction: column;
  }

  .mapkey-component-wrapper {
    display: flex;
    flex-direction: column;
    padding-left: 24px;
  }

  p.datepicker-title {
    font-size: 14px;
    line-height: 16px;
    color: #000;
  }

  .main-cycle-desc {
    font-size: 20px !important;
    line-height: 23px !important;
    color: #000;
    margin-bottom: 24px;
  }

  .button-wrapper.calculate button {
    font-size: 14px;
    padding: 15px;
  }

  .calc.periodsummary
    .mapkey-component-wrapper
    .calc.ovulationsummary
    .mapkey-component-wrapper {
    padding-left: 0;
    margin-top: 16px;
  }

  .calc.periodsummary .button-wrapper.calculate-again button,
  .calc.ovulationsummary .button-wrapper.calculate-again button {
    width: 60%;
    padding: 15px;
    font-weight: 400;
    font-size: 14px;
  }

  .calc.periodsecondpage .calc-wrapper {
    width: 333px;
  }

  .calc.ovulationconsultadoctorview p,
  .calc.periodconsultadoctorview p {
    background: var(--color-calculator-primary, #1677ff);
    border-radius: 20px;
    padding: 16px;
    margin-top: 139px;
    margin-bottom: 24px;
    color: #fff;
    height: 152px;
    width: 433px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    margin-top: 139px;
    margin-bottom: 70px;
  }

  .calc.ovulationconsultadoctorview h2,
  .calc.periodconsultadoctorview h2 {
    position: relative;
    top: 50px;
  }

  p.main-cycle-title,
  p.main-chosen-week-title {
    font-size: 20px;
    line-height: 26px;
    color: #014341;
    margin: 8px 0;
    margin-bottom: 24px !important;
  }
}
